%define upstream_name    HTML-Tiny
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lightweight, dependency free HTML/XML generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'HTML::Tiny' is a simple, dependency free module for generating HTML (and
XML). It concentrates on generating syntactically correct XHTML using a
simple Perl notation.

In addition to the HTML generation functions utility functions are provided
to

* * encode and decode URL encoded strings

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.80.0-2.mga10
+ Revision: 2215129
- Mageia 10 Mass Rebuild

* Mon Sep 12 2022 tv <tv> 1.80.0-1.mga9
+ Revision: 1887402
- update to 1.08

* Mon Sep 05 2022 tv <tv> 1.70.0-1.mga9
+ Revision: 1884203
- update to 1.07

* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-10.mga9
+ Revision: 1804021
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-9.mga8
+ Revision: 1494946
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-8.mga7
+ Revision: 1268508
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-7.mga6
+ Revision: 1028384
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.50.0-6.mga6
+ Revision: 940092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 747748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 684979
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 512085
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 368170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 22491
- cleaning spec file
- imported package perl-HTML-Tiny

